Subject: [bug#63641] [PATCH 1/8] hurd-boot: Add urandom and default-pager translators.

From: Josselin Poiret <[email-masked]>
Date: Mon, 22 May 2023 11:04:11 +0200

From: Josselin Poiret <[email-masked]>

* gnu/build/hurd-boot.scm (set-hurd-device-translators): Set up urandom and
default-pager on boot.
---
 gnu/build/hurd-boot.scm | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/gnu/build/hurd-boot.scm b/gnu/build/hurd-boot.scm
index 95c15907dd..14bfc5e809 100644
--- a/gnu/build/hurd-boot.scm
+++ b/gnu/build/hurd-boot.scm
@@ -188,6 +188,7 @@ (define* (set-hurd-device-translators #:optional (root "/"))
       ("servers/crash-suspend"   ("/hurd/crash" "--suspend"))
       ("servers/password"        ("/hurd/password"))
       ("servers/socket/1"        ("/hurd/pflocal"))
+      ("servers/default-pager"   ("/hurd/proxy-defpager"))
       ;; /servers/socket/2 and /26 are created by 'static-networking-service'.
       ;; XXX: Spawn pfinet without arguments on these nodes so that a DHCP
       ;; client has someone to talk to?
@@ -198,6 +199,8 @@ (define* (set-hurd-device-translators #:optional (root "/"))
       ("dev/null"    ("/hurd/null")                         #o666)
       ("dev/random"  ("/hurd/random"   "--seed-file" "/var/lib/random-seed")
                                                             #o644)
+      ("dev/urandom" ("/hurd/random"   "--seed-file" "/var/lib/random-seed"
+                      "--fast")                             #o644)
       ("dev/zero"    ("/hurd/storeio"  "--store-type=zero") #o666)
 
       ("dev/console" ("/hurd/term"     "/dev/console" "device" "console"))
-- 
2.40.1